xtrkcad (1:5.3.0GA-1) unstable; urgency=medium

  * New upstream release (Closes: #1057286, #1074722):
  * debian/control:
    - Add Build-Depends:
      + inkscape
      + libfreeimage-dev
      + pandoc
    - Change to new repository URL.
    - Change Standards-Version to 4.7.0.0 (No changes needed).
    - Add myself as Maintainer and Daniel E. Markle as Uploader.
      (Closes: #1057287)
  * debian/xtrkcad.install:
    - Add CHANGELOG.txt, Readme.txt
  * debian/copyright:
    - Add year 2024 to myself.
    - Rebase for the new release.
  * debian/changlog:
    - Remove trailing whitespace.
  * debian/rules:
    - Remove trailing whitespace.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 03 Jul 2024 21:32:38 +0200

xtrkcad (1:5.2.0Beta2.1-1) unstable; urgency=medium

  * New upstream release.
  * New debian/xtrkcad-common.lintian-overrides:
    - Add national-encoding (xtr are data files).
  * Remove file to use upstream ones:
    - debian/xtrkcad.desktop
    - xtrkcad.desktop
  * debian/control:
    - Add new Build-Depend libzip-dev
  * debian/rules:
    - Add export DEB_LDFLAGS_MAINT_APPEND to fix the ld error
      "multiple definition" (Closes: #958005).
  * Refresh patches:
    - debian/patches/0900-spelling-errors.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 22 Aug 2020 14:17:45 +0200

xtrkcad (1:5.1.2a-1) unstable; urgency=medium

  * New upstream release.
    - Remove upstream applied debian/patches/0100-messages_h.patch.
    - Refresh debian/patches/0900-spelling-errors.patch.
  * Rename NEWS.Debian to NEWS.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * Switch to debhelper-compat:
    - debian/control: change to debhelper-compat (=13).
    - remove debian/compat.
  * debian/copyright:
    - Remove File-Excluded.
    - Add year 2020 to myself.
  * debian/watch:
    - Fix syntax.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 27 May 2020 22:14:59 +0200

xtrkcad (1:5.1.1-2) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New debian/patches/0100-messages_h.patch:
    - Fix FTBFS at mipsel.
  * debian/control:
    - Switch Vcs-* to new location.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 11 Jul 2018 17:57:50 +0200

xtrkcad (1:5.1.1-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
    - Refresh patches.
    - Remove upstream build artefacts.
  * Declare compliance with Debian Policy 4.1.4 (No changes needed).
  * README.source:
    - Add section to explain the branching model used.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 06 May 2018 10:26:16 +0200

xtrkcad (1:5.1.0-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
    - Remove from the upstream applied patches:
      + debian/patches/0700-info_file.patch
      + debian/patches/0705-help_path.patch
      + debian/patches/0100-gtk.patch
    - Refresh patches:
      + debian/patches/0900-spelling-errors.patch
    - Refresh debian/copyright.
    - debian/xtrkcad.docs: Rename Readme.txt to Readme.md.
    - debian/xtrkcad.install: Remove Readme.txt.
    - debian/control: Remove not longer used libwebkitgtk-1.0-0
      (Closes: #790221).
  * debian/control:
    - Add Daniel E. Markle as maintainer again.
    - Add myself as uploader.
    - Use http for the homepage because https isn't available.
  * Declare compliance with Debian Policy 4.1.3 (No changes needed).
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
    - Remove --parallel from debian/rules.
  * debian/changelog, debian/control: Remove trailing whitespaces.
  * Change to my new mail address:
    - debian/control,
    - debian/copyright

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 19 Mar 2018 23:31:33 +0100

xtrkcad (1:4.2.4a-1) unstable; urgency=medium

  [ Mike Gabriel & Jörg Frings-Fürst ]
  * New Maintainer (Closes: #849139):
    - debian/control: Add myself as maintainer.
    - debian/copyright: Add myself to debian/*.
    Thanks for your work to Daniel E. Markle.
  * New upstream release (Closes: #847843, #784423).
    - New debian/patches/0100-gtk.patch to prevent gcc format-security errors.
  * Remove debian/source/options to use the standard compression.
  * Remove debian/source.lintian-overrides.
  * Change debian/compat to 10 (no changes required).
  * debian/control:
    - Add Mike Gabriel <sunweaver@debian.org> as Uploader (Closes: #847843).
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Bump debhelper B-D minimum version to 10.
    - Add Vcs-* tags.
    - Change Priority from extra to optional to match with current ftp-master
      override file.
    - Rewrite package description.
    - Remove not longer used libglib2.0-dev, libx11-dev, netpbm, imagemagick
      and libcairo2-dev from Build-Depends.
  * debian/rules:
   - Enable hardening.
   - Remove now unused parameter from dh_auto_configure.
   - Add -DCMAKE_INSTALL_PREFIX:PATH=/usr/ to dh_auto_configure.
  * New debian/patches/0700-info_file.patch to add requested directory entry
    and INFO-DIR-SECTION.
  * New debian/patches/0900-spelling-errors.patch to correct some typos.
  * Rewrite debian/watch to use the sf redirector.
    - Add files to exclude in debian/copyright.
  * Rewrite debian/copyright.
  * Split package into arch-indep and arch-dep packages:
    - New package xtrkcad-common for the arch-indep files.
      + Add section for xtrkcad-common into debian/control.
      + New debian/xtrkcad-common.install.
      + Rewrite debian/xtrkcad.install.
      + Remove now useless override_dh_install for debian/rules.
      + New debian/NEWS.debian.
      + New debian/xtrkcat-common.doc-base.
      + New debian/patches/0705-help_path.patch:
        - Change the directory with the help html files to the installation
          specific.
  * Remove useless debian/docs.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 02 Jan 2017 15:43:42 +0100

xtrkcad (1:4.2.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change build-depends from libwebkit-dev to libwebkitgtk-dev as a
    part of webkit transition (Closes: #635432).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Feb 2016 14:38:06 +0100

xtrkcad (1:4.2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix licenses (Closes: #811091).
  * Bump std-version to 3.9.7.
  * Update rules file to new dh sequencer.
    (add manpages file)
  * Remove useless include-binaries file.
  * Use cmake build with debug symbols.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Feb 2016 14:05:22 +0100

xtrkcad (1:4.2.2-1) unstable; urgency=low

  * new upstream version
  * dep5 copyright file added
  * removed obsolete debian menu entry
  * removed harden patch now upstream

 -- Daniel E. Markle <dmarkle@ashtech.net>  Thu, 19 Nov 2015 01:20:44 -0500

xtrkcad (1:4.2.1-1) unstable; urgency=low

  * new upstream version, closes: #622924
  * packaging updates and fixes; removes patchset for help system as is now
    integrated upstream
  * turnout naming fix from upstream, closes: #784423

 -- Daniel E. Markle <dmarkle@ashtech.net>  Sun, 08 Nov 2015 14:52:44 -0500

xtrkcad (1:4.0.2-2) unstable; urgency=low

  * new maintainer, closes: #383968
  * switched help system to libwebkit, closes: #549039

 -- Daniel E. Markle <dmarkle@ashtech.net>  Fri, 25 Jun 2010 07:59:01 -0400

xtrkcad (1:4.0.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * chmod +x sbcsgen.pl script used in building (Closes: 482257)
    - required by newer versions of cmake

 -- Mike O'Connor <stew@debian.org>  Tue, 03 Jun 2008 21:54:51 -0400

xtrkcad (1:4.0.2-1) unstable; urgency=low

  * new uptream version, closes: #458077
  * fix path to docs in man page, closes: #458319

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Apr 2008 22:50:44 -0600

xtrkcad (1:4.0.1-1) unstable; urgency=low

  * new upstream version
  * building twice in a row appears to work now, closes: #424098
  * don't strip in bin/Makefile, closes: #438353

 -- Bdale Garbee <bdale@gag.com>  Wed, 05 Sep 2007 13:43:47 +0100

xtrkcad (20061215-1) unstable; urgency=low

  * freshen from upstream CVS (just one minor variable initialization patch)

 -- Bdale Garbee <bdale@gag.com>  Fri, 15 Dec 2006 09:54:11 -0700

xtrkcad (20060529-2) unstable; urgency=low

  * add build dependency on imagemagick, closes: #374639

 -- Bdale Garbee <bdale@gag.com>  Tue, 20 Jun 2006 11:31:30 -0600

xtrkcad (20060529-1) unstable; urgency=low

  * new upstream version
  * move from xtrkcad (dormant) to xtrkcad-fork on advice from Alistair Baty
  * update control file to reflect this is no longer feature-reduced

 -- Bdale Garbee <bdale@gag.com>  Mon, 29 May 2006 22:45:15 -0600

xtrkcad (20060415-1) unstable; urgency=low

  * xtrkcad is now GPL'ed, so it can move to main!  closes: #318369
  * building a CVS snapshot from sourceforge
  * fix priority to match override file
  * should build anywhere, so change from i386 to any

 -- Bdale Garbee <bdale@gag.com>  Sat, 15 Apr 2006 11:22:33 -0600

xtrkcad (3.1.4-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sat, 15 Nov 2003 15:23:21 -0700

xtrkcad (3.1.2.3-1) unstable; urgency=low

  * new upstream version, actually 3.1.2-3 in Sillub's notation
  * freshen packaging to current standards

 -- Bdale Garbee <bdale@gag.com>  Wed,  6 Nov 2002 17:15:48 -0700

xtrkcad (2.2.0-2) unstable; urgency=low

  * update to current standards, FHS, clean up lintian report

 -- Bdale Garbee <bdale@gag.com>  Fri,  7 Jan 2000 21:29:01 -0700

xtrkcad (2.2.0-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 26 May 1999 13:27:32 -0600

xtrkcad (2.0.4-1) unstable; urgency=low

  * new upstream version, closes 20040
  * minor cleanups to files in debian directory to close all Lintian errors,
    some warnings remain since this is a libc5 binary-only package, etc...

 -- Bdale Garbee <bdale@gag.com>  Sun,  6 Sep 1998 12:05:54 -0600

xtrkcad (1.2.1-4) unstable; urgency=low

  * fix a bunch of packaging funnies found by lintian
  * move from debstd to debhelper

 -- Bdale Garbee <bdale@gag.com>  Sun, 15 Feb 1998 11:45:26 -0700

xtrkcad (1.2.1-3) unstable; urgency=low

  * add new param files from Sillub web page.  These add a P4 scale,
    update the Walthers HP structure lib, and add libs for Arnold N
    scale turnouts, Peco HO scale turnouts, and UK P4 fine scale
    turnouts.  There's also a new example layout.  Closes bug 16388.
  * don't gzip example layouts, since they are then invisible to the file
    menu, which is really confusing.
  * add support for update-menus.

 -- Bdale Garbee <bdale@gag.com>  Sat,  3 Jan 1998 01:14:23 -0700

xtrkcad (1.2.1-2) unstable; urgency=low

  * moved html stuff out of /usr/lib and into /usr/doc
  * repackaged to get dependency information right for hamm

 -- Bdale Garbee <bdale@gag.com>  Sat, 25 Oct 1997 11:39:58 -0600

xtrkcad (1.2.1-1) unstable; urgency=low

  * new upstream version, converted with alien and merged with Debian
    diffs from 1.2.0
  * moved from contrib to non-free since no source is available
  * included example layouts from the Sillub web pages

 -- Bdale Garbee <bdale@gag.com>  Sun,  7 Sep 1997 18:21:34 -0600

xtrkcad (1.2.0-2) unstable; urgency=low

  * Moving from contrib to non-free to meet new policy on such.

 -- Bdale Garbee <bdale@gag.com>  Wed, 6 Aug 1997 14:04:12 -0600

xtrkcad (1.2.0-1) unstable; urgency=low

  * Converted from distributed .tar.gz format to a Debian package

 -- Bdale Garbee <bdale@gag.com>  Mon, 31 Mar 1997 17:28:01 -0700

Local variables:
mode: debian-changelog
End:
